This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 893988 - /usr/share/thumbnailers : orphan directory
/usr/share/thumbnailers : orphan directory
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On: 894010 894014 894018
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 08:14 EST by Christophe Burgun
Modified: 2015-02-17 09:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:39:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christophe Burgun 2013-01-10 08:14:16 EST
Description of problem:

I package the gogui and pentobi game and i have fall on a directory ownership problem :

    %{_datadir}/thumbnailers/%{name}.thumbnailer

    but /usr/share/thumbnailers  is owned by nobody

    rpm -qf /usr/share/thumbnailers
    package owned by nobody


   Or thumbnailers directory has other programms

    ll /usr/share/thumbnailers
    total 28
    drwxr-xr-x.   2 root root  4096 23 nov.  11:31 .
    drwxr-xr-x. 307 root root 12288 12 déc.  14:26 ..
    -rw-r--r--.   1 root root   490 24 avril  2012 evince.thumbnailer
    -rw-r--r--.   1 root root  1304 13 nov.  15:35 gsf-office.thumbnailer
    -rw-r--r--.   1 root root  1731  4 juil.  2012 totem.thumbnailer

Need Filesystem own this thumbnailer directory or each applications inside (that isn't do for moment) ?

How reproducible:

    rpm -qf /usr/share/thumbnailers

Steps to Reproduce:
1.rpm -qf /usr/share/thumbnailers

  
Actual results:

Orphan

Additional info:

For ending gogui and pentobi package i need know if each application need own this directory or if it need owned directly by Filesystem
Comment 1 Christophe Burgun 2013-01-10 09:40:43 EST
I change this bug report into tracker bug to follow 894010 894014 894018 bugs 

Packaging mailing list recommend that each package should own /usr/share/thumbnailers

http://lists.fedoraproject.org/pipermail/packaging/2013-January/008850.html
Comment 2 Michael Scherer 2013-01-20 07:48:01 EST
yum whatprovides /usr/share/thumbnailers/\*

this show a few more packages to fix.

/usr/share/thumbnailers/whaaw-thumbnailer.desktop
/usr/share/thumbnailers/thunar-vfs-font-thumbnailer-1.desktop
/usr/share/thumbnailers/raw.thumbnailer
/usr/share/thumbnailers/mate-font-viewer.thumbnailer
/usr/share/thumbnailers/gnome-web-photo.thumbnailer
/usr/share/thumbnailers/gnome-exe-thumbnailer.thumbnailer
/usr/share/thumbnailers/ffmpegthumbnailer.thumbnailer


And i can imagine more package to come. So I would rather recommend fixing this once and for all in filesystem ( like /usr/share/applications/ ). This requires the less work and make sure errors are prevented in the future.
Comment 3 Fedora End Of Life 2013-04-03 10:32:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:34:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:39:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.